ChangeSet 1.1254.1.6, 2003/05/29 15:25:26-07:00, hch@lst.de

[PATCH] use second arg to scsi_add_host in usb storage

That way we don't need the addition scsi_set_device call.


 drivers/usb/storage/usb.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)


diff -Nru a/drivers/usb/storage/usb.c b/drivers/usb/storage/usb.c
--- a/drivers/usb/storage/usb.c	Fri May 30 11:35:25 2003
+++ b/drivers/usb/storage/usb.c	Fri May 30 11:35:25 2003
@@ -886,11 +886,8 @@
 	/* set the hostdata to prepare for scanning */
 	us->host->hostdata[0] = (unsigned long)us;
 
-	/* associate this host with our interface */
-	scsi_set_device(us->host, &intf->dev);
-
 	/* now add the host */
-	result = scsi_add_host(us->host, NULL);
+	result = scsi_add_host(us->host, &intf->dev);
 	if (result) {
 		printk(KERN_WARNING USB_STORAGE
 			"Unable to add the scsi host\n");
